<?php
/*
 * The template for displaying archive pages.
 */
?>

<?php get_header(); ?>
<div id="main-content-container">
<div id="main-content">
<div id="content">

	<?php if (have_posts()) : $count = 0; ?>
		<?php if (is_category()) { ?>
			<h4 class="archive-title"><?php _e('Архивы', 'multicolors'); ?> | <?php echo single_cat_title(); ?></h4> 
		<?php } elseif (is_day()) { ?>
			<h4 class="archive-title"><?php _e('Архивы за день', 'multicolors'); ?> | <?php echo get_the_date(); ?></h4>
		<?php } elseif (is_month()) { ?>
			<h4 class="archive-title"><?php _e('Архивы за месяц', 'multicolors'); ?> | <?php echo get_the_date('F Y'); ?></h4>
		<?php } elseif (is_year()) { ?>
			<h4 class="archive-title"><?php _e('Архивы за год', 'multicolors'); ?> | <?php echo get_the_date('Y'); ?></h4>
		<?php } elseif (is_author()) { ?>
			<h4 class="archive-title"><?php _e('Архивы автора', 'multicolors'); ?></h4>
		<?php } elseif (is_tag()) { ?>
			<h4 class="archive-title"><?php _e('Архивы тегов', 'multicolors'); ?> | <?php echo single_tag_title('', true); ?></h4>
	<?php } ?>

            
	<?php while (have_posts()) : the_post(); $count++; ?>
		<h4 class="post-title"><a href="<?php the_permalink(); ?>" title="<?php _e('Постоянная ссылка на ', 'multicolors'); ?><?php the_title_attribute(); ?>" rel="bookmark">
		<?php the_title(); ?></a></h4>

			<h5 class="postmetadata">
			<?php printf( __( 'Опубликовано в рубрике %s', 'multicolors' ), '<a href="' . esc_url( get_permalink() ) . '">' . esc_html( get_the_date() ). '</a>' ); ?> | 
			<?php printf( __( 'Автор %s', 'multicolors' ), sprintf( '<a href="%1$s">%2$s</a>', esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ), esc_html( get_the_author() ) ) ); ?>
			<?php if ( ! post_password_required() && ( comments_open() || get_comments_number() ) ) : echo '|'; ?>
			<?php comments_popup_link( __( 'Оставить комментарий', 'multicolors' ), __( '1 комментарий', 'multicolors' ), __( '% комментариев', 'multicolors' ) ); ?><?php endif; ?>
			</h5>

	<?php if ( has_post_thumbnail() ) { 
		the_post_thumbnail(); 
	} 	?>

	<?php the_excerpt(); ?>
	<div class="more">
		<a class="readmore" href="<?php the_permalink() ?>" rel="bookmark"><?php _e( 'Читать далее &raquo;', 'multicolors' ); ?></a>
	</div>

		<?php endwhile; else: ?>
		<p><?php _e('Извините, но по Вашему запросу ничего не было найдено.', 'multicolors'); ?></p>
		<?php endif; ?>
				
	<div class="post-nav">
		<div class="nav-prev"><?php next_posts_link(__( '&laquo; Предыдущие записи', 'multicolors' )) ?></div>
		<div class="nav-next"><?php previous_posts_link(__( 'Следующие записи &raquo;', 'multicolors' )) ?></div>
	</div>

</div>
<?php get_sidebar(); ?>
</div>
</div>
<?php get_footer(); ?>